1. Campaigns
Adlyft
  • Authentcation
    • Get User Token
      POST
    • Refresh access token
      GET
  • Connections
    • Create Connections
      POST
    • List Connections
      GET
    • Revoke a connection by connection ID
      DELETE
  • Meta
    • Assets & Entities
      • List Meta Pages
      • List Meta Businesses
      • Get Meta Businesses By BusinessId
      • List Meta Businesses By BusinessId Ad Accounts
      • List business product catalogs
    • Audiences
      • List saved audiences
      • List custom audiences
      • Create a lookalike audience
      • Estimate audience size
    • Pixels
      • List Meta pixels
      • Get Meta pixel details
      • Get Meta pixel stats
      • Get Meta dataset quality
    • Lead Forms
      • Create a Meta lead form
      • List Meta lead forms
    • Campaigns
      • Create a lead campaign
        POST
      • Create an awareness campaign
        POST
      • Create a traffic campaign
        POST
      • Create an engagement campaign
        POST
      • Create a sales campaign
        POST
      • List Meta campaigns
        GET
      • Get Meta campaign details
        GET
      • Update Meta campaign status
        PATCH
    • Insights
      • Read Meta insights
    • Ads
      • List ads for a Meta ad set
      • List Meta ads
      • Update Meta ad status
      • List ads for a Meta campaign
      • Get Meta ad details
    • Adset
      • List Meta ad sets
      • Get Meta ad set details
      • Update Meta ad set status
    • Ad Creatives
      • List Meta ad creatives
      • Preview a Meta ad creative
      • Get Meta ad creative details
    • Account details
      • List Meta ad accounts
      • Get Meta ad account details
    • Custom conversions
      • Get Custom Conversions
      • Create Custom Conversion
    • Import Meta ad account data
      GET
    • Search Meta targeting options
      POST
  • Google Integration
    • List Google List Accessible Accounts
    • Get Google Insights
    • List Google Assets
    • Execute a Google GAQL query
  • Schemas
    • CreateUserDto
    • StandardSuccessEnvelopeDto
    • ResetPasswordDto
    • GenericObjectDto
    • UpdateTenantDto
    • AuthTokensDto
    • CreateTenantAppDto
    • AuthTokenDto
    • UpdateTenantAppDto
    • MessageDto
    • ChangePasswordDto
    • ForgetPasswordDto
    • TokenDto
    • AcceptInvitationDto
    • TenantApiKeyDto
    • MetaTokenBrokerDto
    • MetaTenantAppCreateDto
    • GoogleTenantAppCreateDto
    • CreateLookalikeAudienceDto
    • TiktokTenantAppCreateDto
    • EstimateAudienceDto
    • LinkedinTenantAppCreateDto
    • PreviewAdcreativeDto
    • MetaTenantAppUpdateDto
    • GoogleTenantAppUpdateDto
    • StandardSuccessEnvelope
    • TiktokTenantAppUpdateDto
    • RawSuccessPayload
    • LinkedinTenantAppUpdateDto
    • PlatformFieldDto
    • PlatformMetadataDto
    • MetaAccessTokenDto
    • TargetingSearchDto
    • MetaStatusUpdateDto
    • CreateTenantInvitationDto
    • PaginatedUsersResponse
    • ErrorResponse
  1. Campaigns

Create a lead campaign

POST
/meta/campaign/lead
This endpoint is used to create a campaign for leads ads. Lead generation ads are ad campaigns designed to collect contact information (like name, email, phone number) directly from users on Meta platforms without needing them to leave the app.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Created Meta lead campaign.
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.adlyfy.dev/api/v1//meta/campaign/lead?adAccountId' \
--header 'x-api-key;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "campaignName": "string",
    "status": "PAUSED",
    "budget": 1,
    "budgetType": "DAILY",
    "startDate": "string",
    "endDate": "string",
    "specialAdCategories": [
        "NONE"
    ],
    "specialAdCountry": [
        "string"
    ],
    "adSetName": "string",
    "leadFormId": "string",
    "audienceId": [
        "string"
    ],
    "targeting": {
        "genders": [
            0
        ],
        "ageMin": 18,
        "ageMax": 18,
        "geoLocations": [
            {
                "type": "country",
                "id": "string"
            }
        ],
        "excludedGeoLocations": [
            {
                "type": "country",
                "id": "string"
            }
        ],
        "interests": [
            {
                "id": "string",
                "name": "string"
            }
        ],
        "behaviors": [
            {
                "id": "string",
                "name": "string"
            }
        ],
        "relationshipStatuses": [
            0
        ],
        "lifeEvents": [
            {
                "id": "string",
                "name": "string"
            }
        ],
        "industries": [
            {
                "id": "string",
                "name": "string"
            }
        ],
        "income": [
            {
                "id": "string",
                "name": "string"
            }
        ],
        "familyStatuses": {
            "id": "string",
            "name": "string"
        },
        "educationSchools": [
            {
                "id": "string",
                "name": "string"
            }
        ],
        "educationStatuses": [
            "1"
        ],
        "educationMajors": [
            {
                "id": "string",
                "name": "string"
            }
        ],
        "workEmployers": [
            {
                "id": "string",
                "name": "string"
            }
        ],
        "workPositions": [
            {
                "id": "string",
                "name": "string"
            }
        ],
        "locales": [
            0
        ]
    },
    "creatives": {
        "primaryText": "string",
        "headline": "string",
        "url": "string",
        "callToAction": "SIGN_UP",
        "imageUrl": "string",
        "videoId": "string",
        "thumbnailUrl": "string",
        "description": "string"
    },
    "pageid": "string",
    "instagramActorId": "string",
    "conversionLocation": "ON_AD"
}'
Response Response Example
{
    "data": {},
    "success": true,
    "message": "Request successful",
    "timestamp": "2026-03-30T12:00:00.000Z",
    "statusCode": 200
}
Modified at 2026-04-30 10:48:06
Previous
List Meta lead forms
Next
Create an awareness campaign
Built with